﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MoyariClient
{
    public partial class FormPaste : Form
    {
        private Action<String> multiWriteCallBack = null;
        private String msg;
        public FormPaste(String msg, Action<String> multiWriteCallBack)
        {
            InitializeComponent();
            this.multiWriteCallBack = multiWriteCallBack;
            this.msg = msg;
            textBox1.Font = AppCommon.setting.txtFont;
            textBox1.BackColor = AppCommon.setting.colorInfo.colorBackground;
            textBox1.ForeColor = AppCommon.setting.colorInfo.colorNormalMsg;
            textBox1.Text = msg;
        }

        // キャンセル
        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        // 書き込み
        private void button2_Click(object sender, EventArgs e)
        {
            multiWriteCallBack(textBox1.Text);
            Close();
        }
    }
}
