﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MoyariClient
{
    public class TextBoxEx : System.Windows.Forms.TextBox
    {
        public Action<String> pasteProc = null;
        const int WM_PASTE = 0x302;
        protected override void WndProc(ref Message m)
        {
            if(m.Msg == WM_PASTE)
            {
                object oClipboardText = Clipboard.GetDataObject().GetData(DataFormats.Text);
                if (oClipboardText == null)
                {
                    return;
                }
                string sClipText = oClipboardText.ToString();
                if (sClipText.IndexOf("\n") >= 0)
                {
                    if (pasteProc != null)
                    {
                        pasteProc(sClipText);
                        return;
                    }
                }
            }

            base.WndProc(ref m);
        }
    }
}
